/*

	$VER: addmanually.rexx 3.1 (10.11.97)

	 1997 Wojciech Kocjan

	Adds a manual entry into the selected list

*/

OPTIONS RESULTS
OPTIONS FAILAT 21

Address 'ANETGUI'

name = GETCLIP('ANETGUI_AM_NAME')
dir  = GETCLIP('ANETGUI_AM_DIR')
size = GETCLIP('ANETGUI_AM_SIZE')
desc = GETCLIP('ANETGUI_AM_DESC')
number = GETCLIP('ANETGUI_AM_ENTRY')

'ReqString "'||name||'" "Enter the file name here"'
if rc~=0 THEN Exit
name = result

'ReqString "'dir'" "Enter the file dir name*n(ie. utilcli)"'
if rc~=0 THEN Exit
dir = result

'ReqString "'size'" "Enter the file size*n(in KB - K suffix or MB - M suffix)"'
if rc~=0 THEN Exit
size = result

'ReqString "'desc'" "Enter the file description*n(up to 40 chars)"'
if rc~=0 THEN Exit
desc = result

'Entries'
entries = result - 1

IF entries >= 0 THEN DO
	'ReqNumber 'number' "Enter the entry number*n(from 0 to 'entries' ; -1 to insert at the bottom)"'
	if rc~=0 THEN Exit
	number = result
END
ELSE number=-1

CALL SETCLIP('ANETGUI_AM_NAME',name)
CALL SETCLIP('ANETGUI_AM_DIR',dir)
CALL SETCLIP('ANETGUI_AM_SIZE',size)
CALL SETCLIP('ANETGUI_AM_DESC',desc)
CALL SETCLIP('ANETGUI_AM_ENTRY',number)

'AddEntry "'name'" "'dir'" "'size'" "'desc'" 'number

Exit
