/*

	$VER: calcsize.rexx 3.1 (12.11.97)

	 1997 Wojciech Kocjan

	Calculates the total size of files in the selected list
	and notifies the user of it. Can be very slow :-(

*/

OPTIONS RESULTS
OPTIONS FAILAT 21

Address 'ANETGUI'

speed = GETCLIP('ANETGUI_TIME_SPEED')
if speed='' then speed=0
'Entries'
entries = result
'GaugeOpen "Counting sizes...*nPlease wait" 'entries' 0 "%ld/'entries'"'

total = 0
do entry=0 to entries-1
	'Gauge' (entry+1)
	'GetSize ' entry
	size = result

	ls=Length(size)
	lsize=left(size,ls-1)
	multiplier=Right(size,1)

	if multiplier='K' then DO
		realsize = lsize * 1024
	END
	if multiplier='M' then DO
		realsize = lsize * 1048576
	END
	total = total + realsize
end entry

if total >= 1048576 THEN DO
	tt=Trunc(total/1048576,2)
	size2=tt||' MBytes'
END
if total < 1048576 THEN DO
	tt=Trunc(total/1024,0)
	size2=tt||' KBytes'
END

'ReqNumber "'||speed||'" "Enter your downloading speed*n(in bytes/sec)"'
if rc~=0 THEN Exit
speed=result
CALL SETCLIP('ANETGUI_TIME_SPEED',speed)

tsec=total/speed

time=Trunc(tsec,0)||' second(s)'
if tsec>=300  THEN time=Trunc(tsec/60,1)||' minute(s)'
if tsec>=3600 THEN time=Trunc(tsec/3600,2)||' hours(s)'

'ReqChoice "Total size is..." "*Ec*EbNumber of entries:*En 'entries'*n*EbTotal size:*En 'size2'*n*EbEstamined transfer time:*En 'time'" "**_Thanks"'
'GaugeClose'
Exit
