/*

	$VER: makeindex.rexx 3.1 (12.11.97)

	 1997 Wojciech Kocjan

   This program creates an AMINET index from selected files.

*/

OPTIONS RESULTS
OPTIONS FAILAT 21

Address 'ANETGUI'

lstfile = GETCLIP('ANETGUI_MI_IFILE')

if lstfile = "" THEN lstfile = ""

'ReqFile "'lstfile'" "Enter list filename" SAVEMODE'
if rc~=0 THEN Exit
lstfile = result
CALL SETCLIP('ANETGUI_MI_IFILE',lstfile)

'Entries'
entries = result

IF ~OPEN(bfile, lstfile, 'Write') THEN EXIT
WRITELN(bfile,"| This file was created using ANetGUI v3 and")
WRITELN(bfile,"| makeindex.rexx ARexx script")
WRITELN(bfile,"|")
WRITELN(bfile,"| ANetGUI & makeindex.rexx  1997 Wojciech Kocjan")
WRITELN(bfile,"|")
WRITELN(bfile,"|File              Dir        Size Description")
WRITELN(bfile,"|----------------- ---        ---- -----------")

'GaugeOpen "Creating INDEX..." 'entries' 0 "%ld / 'entries'"'
do entry=0 to entries-1
	'Gauge' (entry+1)
	'GetDir ' entry
	dir = result
	'GetFile ' entry
	file = result
	'GetSize ' entry
	size = result
	'GetDesc ' entry
	desc = result

	'DoFmt "%-18s %-10s %4s %s" "'file'" "'dir'" "'size'" "'desc'"'
	WRITELN(bfile,result)
end entry
'GaugeClose'
CALL CLOSE(bfile)
