/*

	$VER: useddirs.rexx 321 (10.11.97)

	 1997 Wojciech Kocjan

	Makes a list of used dirs. It's also possible to create such a list
	and create aminet directories.

*/

OPTIONS RESULTS
OPTIONS FAILAT 21

Address 'ANETGUI'

'Entries'
entries=result

IF entries = 0 THEN DO
	'Message "*EcNo entries found.*nI suggest you put some files in*nselected list before running this script"'
	Exit
END

dirs=''
'GaugeOpen "Checking entries...*nPlease wait" 'entries' 0 "%ld/'entries'"'
DO entry=0 TO (entries-1)
	'Gauge' (entry+1)
	'GetDir 'entry
	dir=result
	if INDEX(dirs,dir)=0 THEN dirs=dirs||' 'dir
END
'GaugeClose'
dirlist='*EcCurrently selected files*nuse the following directories:*El*Eb'
words=WORDS(dirs)
DO word=1 TO words
	dir=WORD(dirs,word)
	dirlist=dirlist||'*n '||dir
END
dirlist=dirlist||'*En*n*n*EcWhat shall I do with the list?'
'ReqChoice "What shall I do?" "'dirlist'" "_Save a list|_Create them|**_Nothing"'
choice = rc
IF choice = 1 THEN DO /* save a list in a file */
	file = GETCLIP('ANETGUI_UDIRS_LSTFILE')
	'ReqFile "'file'" "Enter list filename" SAVEMODE'
	if rc ~= 0 THEN EXIT
	file=result
	CALL SETCLIP('ANETGUI_UDIRS_LSTFILE',file)
	IF ~OPEN(fh,file,'Write') THEN EXIT

	'GaugeOpen "Making list...*nPlease wait" 'words' 0 "%ld/'words'"'
	do word=1 TO words
		'Gauge' word
		WRITELN(fh,WORD(dirs,word))
	END
	CALL CLOSE(fh)
	'GaugeClose'
	EXIT
END

failures=0
if choice = 2 THEN DO /* create those dirs */

	ddir = GETCLIP('ANETGUI_UDIRS_DDIR')
	'ReqFile "'ddir'" "Select the folder to create the dirs in" DIR'
	if rc ~= 0 THEN EXIT
	ddir=result
	CALL SETCLIP('ANETGUI_UDIRS_DDIR',ddir)

	d_dir=ddir
	if SUBSTR(d_dir,LENGTH(d_dir),1)~=':' THEN d_dir=d_dir||'/'

	'GaugeOpen "Creating directories...*nPlease wait" 'words' 0 "%ld/'words'"'
	do word=1 TO words
		'Gauge' word
		dir=WORD(dirs,word)
		dir0=dir
		indx=INDEX(dir,'/')
		IF INDX>1 THEN dir0=SUBSTR(dir,1,indx-1)
		adir=d_dir||dir
		adir0=d_dir||dir0
		ADDRESS COMMAND 'Makedir >NIL: "'adir'"'
		if rc~=0 THEN DO
			ADDRESS COMMAND 'Makedir >NIL: "'adir0'"'
			ADDRESS COMMAND 'Makedir >NIL: "'adir'"'
			IF rc~=0 THEN DO
				'ReqChoice "Unable to create directory" "*Ec*EbWARNING!*En*n*nUnable to create directory *Eb'dir'*En (*Eb'adir'*En)*n*nWhat shall I do?" "_Continue|**_Abort"'
				if rc=0 THEN DO
					'GaugeClose'
					Exit
					END
				failures=failures+1
			END
		END
	END
	if failures~=0 THEN 'Message "*EbNumber of directories failed to create: *En'failures'"'
	'GaugeClose'
	EXIT
END
