#ifndef AREMOTE_TEMP_AUX_H
#define AREMOTE_TEMP_AUX_H

#include <clib/commodities_protos.h>
#include <intuition/intuition.h>
#include <libraries/gadtools.h>
#include "ARemote.h"

#define FLAG_CLOSE_WINDOW  0x0001 /* Close the GUI window */
#define FLAG_CONNECT       0x0002 /* Attempt to initiate a session */
#define FLAG_DISCONNECT    0x0004 /* Close the current session */
#define FLAG_QUIT          0x0008 /* Quit bye bye */
#define FLAG_ENABLE        0x0010 /* Enable the commodity */
#define FLAG_DISABLE       0x0020 /* Disable the commodity */
#define FLAG_SAVE_SETTINGS 0x0040 /* Save current settings */
#define FLAG_ABOUT         0x0080 /* Show the about box */
#define FLAG_CHANGE_ACCEPT 0x0100 /* If we have a host QSession pending, re-make it */
#define FLAG_UPDATE_STATE  0x0200 /* Re-read GUI settings into internal vars */
#define FLAG_CHANGE_TOGGLE 0x0400 /* Re-setup the toggle hotkey */
#define FLAG_CHANGE_POPUP  0x0800 /* Re-setup the toggle hotkey */
#define FLAG_UPDATE_GUI    0x1000 /* Update the GUI from the internal state */

extern ULONG winRequests;
extern BOOL BEnabled;

#endif