#ifndef _INCLUDE_PRAGMA_RTGMASTER_LIB_H
#define _INCLUDE_PRAGMA_RTGMASTER_LIB_H

/* Needed for Storm C */

#ifndef  CLIB_RTGMASTER_PROTOS_H
#include <clib/rtgmaster_protos.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#pragma amicall(RTGMasterBase, 30, OpenRtgScreen(a0,a1))
#pragma tagcall(RTGMasterBase, 30, OpenRtgScreenTags(a0,a1))
#pragma amicall(RTGMasterBase, 36, CloseRtgScreen(a0))
#pragma amicall(RTGMasterBase, 42, SwitchScreens(a0,d0))
#pragma amicall(RTGMasterBase, 48, LoadRGBRtg(a0,a1))
#pragma amicall(RTGMasterBase, 54, LockRtgScreen(a0))
#pragma amicall(RTGMasterBase, 60, UnlockRtgScreen(a0))
#pragma amicall(RTGMasterBase, 66, GetBufAdr(a0,d0))
#pragma amicall(RTGMasterBase, 72, GetRtgScreenData(a0,a1))
#pragma tagcall(RTGMasterBase, 72, GetRtgScreenDataTags(a0,a1))
#pragma amicall(RTGMasterBase, 78, RtgAllocSRList(a0))
#pragma tagcall(RTGMasterBase, 78, RtgAllocSRListTags(a0))
#pragma amicall(RTGMasterBase, 84, FreeRtgSRList(a0,d0))
#pragma amicall(RTGMasterBase, 90, RtgScreenAtFront(a0))
#pragma amicall(RTGMasterBase, 96, RtgScreenModeReq(a0))
#pragma tagcall(RTGMasterBase, 96, RtgScreenModeReqTags(a0))
#pragma amicall(RTGMasterBase, 102, FreeRtgScreenModeReq(a0))
#pragma amicall(RTGMasterBase, 108, WriteRtgPixel(a0,a1,d0,d1,d2))
#pragma amicall(RTGMasterBase, 114, WriteRtgPixelRGB(a0,a1,d0,d1,d2))
#pragma amicall(RTGMasterBase, 120, FillRtgRect(a0,a1,d0,d1,d2,d3,d4))
#pragma amicall(RTGMasterBase, 126, FillRtgRectRGB(a0,a1,d0,d1,d2,d3,d4))
#pragma amicall(RTGMasterBase, 132, WriteRtgPixelArray(a0,a1,a2,d0,d1,d2,d3))
#pragma amicall(RTGMasterBase, 138, WriteRtgPixelRGBArray(a0,a1,a2,d0,d1,d2,d3))
#pragma amicall(RTGMasterBase, 144, CopyRtgPixelArray(a0,a1,a2,d0,d1,d2,d3,d4,d5))
#pragma amicall(RTGMasterBase, 150, CopyRtgBlit(a0,a1,a2,a3,d0,d1,d2,d3,d4,d5,d6,d7))
#pragma amicall(RTGMasterBase, 156, DrawRtgLine(a0,a1,d0,d1,d2,d3,d4))
#pragma amicall(RTGMasterBase, 162, DrawRtgLineRGB(a0,a1,d0,d1,d2,d3,d4))
#pragma amicall(RTGMasterBase, 168, WaitRtgSwitch(a0))
#pragma amicall(RTGMasterBase, 174, WaitRtgBlit(a0))
#pragma amicall(RTGMasterBase, 180, RtgWaitTOF(a0))
#pragma amicall(RTGMasterBase, 186, RtgBlit(a0,a1,a2,d0,d1,d2,d3,d4,d5,d6))
#pragma amicall(RTGMasterBase, 192, RtgBltClear(a0,a1,d0,d1,d2,d3))
#pragma amicall(RTGMasterBase, 198, CallRtgC2P(a0,a1,a2,d0,d1,d2,d3,d4,d5))
#pragma amicall(RTGMasterBase, 204, RtgBestSR(a0))
#pragma tagcall(RTGMasterBase, 204, RtgBestSRTags(a0))
#pragma amicall(RTGMasterBase, 210, RtgCheckVSync(a0)
#pragma amicall(RTGMasterBase, 216, RtgInitBob(a0,a1,a2,a3,d0,d1,d2))
#pragma amicall(RTGMasterBase, 222, CloseServer(a0,a1))
#pragma amicall(RTGMasterBase, 228, RunServer(a0,a1,a2,a3,d0))
#pragma amicall(RTGMasterBase, 234, RtgSend(a0,a1,a2,a3,d0))
#pragma amicall(RTGMasterBase, 240, RtgRecv(a0,a1,a2,a3,d0))
#pragma amicall(RTGMasterBase, 246, RtgAccept(a0,a1))
#pragma amicall(RTGMasterBase, 252, RtgIoctl(a0,a1,a2))
#pragma amicall(RTGMasterBase, 258, GetUDPName(a0,a1))
#pragma amicall(RTGMasterBase, 264, RtgInAdr(a0,a1))
#pragma amicall(RTGMasterBase, 270, RtgText(a0,a1,a2,d0,d1,d2))
#pragma amicall(RTGMasterBase, 276, RtgSetFont(a0,a1))
#pragma amicall(RTGMasterBase, 282, RtgClearPointer(a0))
#pragma amicall(RTGMasterBase, 288, RtgSetPointer(a0,a1,d0,d1,d2,d3))
#pragma amicall(RTGMasterBase, 294, RtgSetTextMode(a0,d0,d1,d2))
#pragma amicall(RTGMasterBase, 300, RtgOpenFont(a0,a1))
#pragma amicall(RTGMasterBase, 306, RtgCloseFont(a0,a1))
#pragma amicall(RTGMasterBase, 312, RtgSetTextModeRGB(a0,d0,d1,d2))
#pragma amicall(RTGMasterBase, 318, RtgInitRDCMP(a0))
#pragma amicall(RTGMasterBase, 324, RtgWaitRDCMP(a0))
#pragma amicall(RTGMasterBase, 330, RtgGetMsg(a0))
#pragma amicall(RTGMasterBase, 336, RtgReplyMsg(a0,a1))
#ifdef __cplusplus
}
#endif

#endif
