/*

	$VER: calcsize.rexx 2.4 (2.11.97)

	 1997 Wojciech Kocjan

	Calculates the total size of files in the selected list
	and notifies the user of it. Can be very slow :-(

*/

OPTIONS RESULTS
OPTIONS FAILAT 21

Address 'ANETGUI'

'Entries'
entries = result
'GaugeOpen "Counting sizes...*nPlease wait" 'entries' 0 "%ld/'entries'"'

total = 0
do entry=0 to entries-1
	'Gauge' (entry+1)
	'GetSize ' entry
	size = result

	ls=Length(size)
	lsize=left(size,ls-1)
	multiplier=Right(size,1)

	if multiplier='K' then DO
		realsize = lsize * 1024
	END
	if multiplier='M' then DO
		realsize = lsize * 1048576
	END
	total = total + realsize
end entry

if total >= 1048576 THEN DO
	tt=Trunc(total/1048576,2)
	size2=tt||' MBytes'
END
if total < 1048576 THEN DO
	tt=Trunc(total/1024,0)
	size2=tt||' KBytes'
END
'ReqChoice "Total size is..." "*Ec*EbNumber of entries:*En 'entries'*n*EbTotal size:*En 'size2'" "**_Thanks"'
'GaugeClose'
Exit
