#ifndef	COMPAREWINDOW_HPP
#define	COMPAREWINDOW_HPP

// $VER: CompareWindow.hpp 39.2 (09.11.97)
//
//
// (C) Copyright 1996,97 Markus Hillenbrand
//     All Rights Reserved, No Warranty

#include "GUIC_Window.hpp"

class GUIC_ApplicationC;
class GUIC_OldButtonC;
class GUIC_DirectoryExamineC;
class GUIC_EventC;
class GUIC_FillbarC;
class GUIC_FrameC;
class GUIC_GGFXPictureC;
class GUIC_ListC;
class GUIC_OldListviewC;
class GUIC_PathStringC;
class GUIC_ScreenC;

class PrefsWindowC;

class CompareWindowC 	: public GUIC_WindowC
	{
	public:
		CompareWindowC						(GUIC_ApplicationC &app, GUIC_ScreenC &screen, PrefsWindowC &pWindow);
		~CompareWindowC 					(VOID);
				
		STRPTR	getClass						(VOID);		
		BOOL 	action							(GUIC_EventC &event);

	protected:
		VOID		cleanUp 						(VOID);
		
	private:
		VOID		scanDirectory				(GUIC_DirectoryExamineC &dir, GUIC_ListC &list);
		LONG		compareFiles				(GUIC_ListC &list);
		BOOL		areEqual						(STRPTR file1, STRPTR file2);
		
		GUIC_ApplicationC 			*app;
		GUIC_ScreenC 				*screen;

		PrefsWindowC				*pWindow;
		
		GUIC_PathStringC			*ps_path;
		GUIC_OldListviewC			*lv_message;
		GUIC_OldButtonC			*bt_start;
		GUIC_FillbarC					*fb_status;
		
	friend class MainWindowC;
	};

#endif

